Zum Inhalt springen

database_api.list_withdraw_vesting_routes ​

Purpose ​

Gibt eine Liste von Vesting-Auszahlungsrouten zurück. Parameter: start:array; limit:int; order:string

  • start hängt von order ab (siehe unten)
  • limit - bis zu 1000.
  • order kann einer der folgenden sein:
    • by_withdraw_route - Ordnung nach Auszahlungsroute (withdraw route)
      • start ist ein Array aus zwei Werten: from_account, to_account
    • by_destination - Ordnung nach Ziel
      • start ist ein Array aus zwei Werten: to_account, route_id

| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["temp", ""] | 10 | "by_withdraw_route" | Abfrage der ersten 10 Routen, sortiert nach Auszahlungsroute | | ["", 0] | 10 | "by_destination" | Abfrage der ersten 10 Routen, sortiert nach Ziel |

Siehe auch: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_withdraw_vesting_routes",
    "params": {
      "start": [
        "temp",
        ""
      ],
      "limit": 10,
      "order": "by_withdraw_route"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_withdraw_vesting_routes",
    "params": {
      "start": [
        "",
        0
      ],
      "limit": 10,
      "order": "by_destination"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "routes": [
    {
      "id": 39503,
      "from_account": "temperature",
      "to_account": "luckdiver",
      "percent": 10000,
      "auto_vest": false
    }
  ]
}